STOFFSpreadsheetListenerInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
STOFFSpreadsheetListenerInternal::State Struct Reference

the state of a STOFFSpreadsheetListener More...

## Public Member Functions
| State ()
| constructor More...
| ~State ()
| destructor More...
bool | canWriteText () const
| returns true if we are in a text zone More...

## Public Attributes
librevenge::RVNGString | m_textBuffer
| a buffer to stored the text More...
int | m_numDeferredTabs
| the number of tabs to add More...
STOFFFont | m_font
| the font More...
STOFFParagraph | m_paragraph
| the paragraph More...
std::shared_ptr< STOFFList > | m_list
bool | m_isPageSpanOpened
bool | m_isHeaderFooterOpened
| a flag to know if the header footer is started More...
bool | m_isHeaderFooterRegionOpened
| a flag to know if the header footer region is started More...
bool | m_isFrameOpened
bool | m_isTextboxOpened
bool | m_isHeaderFooterWithoutParagraph
bool | m_isSpanOpened
bool | m_isParagraphOpened
bool | m_isListElementOpened
bool | m_isSheetColumnOpened
bool | m_isSheetCellOpened
bool | m_isTableOpened
bool | m_isTableRowOpened
bool | m_isTableColumnOpened
bool | m_isTableCellOpened
unsigned | m_currentPage
int | m_numPagesRemainingInSpan
int | m_currentPageNumber
std::vector< bool > | m_listOrderedLevels
bool | m_inSubDocument
| a stack used to know what is open More...
bool | m_isNote
bool | m_inLink
libstoff::SubDocumentType | m_subDocumentType

## Private Member Functions
| State (const State &)
State & | operator= (const State &)

## Detailed Description

the state of a STOFFSpreadsheetListener

## Constructor & Destructor Documentation

## ◆ State() [1/2]

STOFFSpreadsheetListenerInternal::State::State | ( |  | ) |

constructor

## ◆ ~State()

STOFFSpreadsheetListenerInternal::State::~State | ( |  | ) |
| inline

destructor

## ◆ State() [2/2]

STOFFSpreadsheetListenerInternal::State::State | ( | const State & |  | ) |
| private

## Member Function Documentation

## ◆ canWriteText()

bool STOFFSpreadsheetListenerInternal::State::canWriteText | ( |  | ) | const
| inline

returns true if we are in a text zone

## ◆ operator=()

State& STOFFSpreadsheetListenerInternal::State::operator= | ( | const State & |  | ) |
| private

## Member Data Documentation

## ◆ m_currentPage

unsigned STOFFSpreadsheetListenerInternal::State::m_currentPage

## ◆ m_currentPageNumber

int STOFFSpreadsheetListenerInternal::State::m_currentPageNumber

## ◆ m_font

STOFFFont STOFFSpreadsheetListenerInternal::State::m_font

the font

## ◆ m_inLink

bool STOFFSpreadsheetListenerInternal::State::m_inLink

## ◆ m_inSubDocument

bool STOFFSpreadsheetListenerInternal::State::m_inSubDocument

a stack used to know what is open

## ◆ m_isFrameOpened

bool STOFFSpreadsheetListenerInternal::State::m_isFrameOpened

## ◆ m_isHeaderFooterOpened

bool STOFFSpreadsheetListenerInternal::State::m_isHeaderFooterOpened

a flag to know if the header footer is started

## ◆ m_isHeaderFooterRegionOpened

bool STOFFSpreadsheetListenerInternal::State::m_isHeaderFooterRegionOpened

a flag to know if the header footer region is started

Referenced by canWriteText().

## ◆ m_isHeaderFooterWithoutParagraph

bool STOFFSpreadsheetListenerInternal::State::m_isHeaderFooterWithoutParagraph

## ◆ m_isListElementOpened

bool STOFFSpreadsheetListenerInternal::State::m_isListElementOpened

## ◆ m_isNote

bool STOFFSpreadsheetListenerInternal::State::m_isNote

Referenced by canWriteText().

## ◆ m_isPageSpanOpened

bool STOFFSpreadsheetListenerInternal::State::m_isPageSpanOpened

## ◆ m_isParagraphOpened

bool STOFFSpreadsheetListenerInternal::State::m_isParagraphOpened

## ◆ m_isSheetCellOpened

bool STOFFSpreadsheetListenerInternal::State::m_isSheetCellOpened

Referenced by canWriteText().

## ◆ m_isSheetColumnOpened

bool STOFFSpreadsheetListenerInternal::State::m_isSheetColumnOpened

## ◆ m_isSpanOpened

bool STOFFSpreadsheetListenerInternal::State::m_isSpanOpened

## ◆ m_isTableCellOpened

bool STOFFSpreadsheetListenerInternal::State::m_isTableCellOpened

Referenced by canWriteText().

## ◆ m_isTableColumnOpened

bool STOFFSpreadsheetListenerInternal::State::m_isTableColumnOpened

## ◆ m_isTableOpened

bool STOFFSpreadsheetListenerInternal::State::m_isTableOpened

## ◆ m_isTableRowOpened

bool STOFFSpreadsheetListenerInternal::State::m_isTableRowOpened

## ◆ m_isTextboxOpened

bool STOFFSpreadsheetListenerInternal::State::m_isTextboxOpened

Referenced by canWriteText().

## ◆ m_list

std::shared_ptr<STOFFList> STOFFSpreadsheetListenerInternal::State::m_list

## ◆ m_listOrderedLevels

std::vector<bool> STOFFSpreadsheetListenerInternal::State::m_listOrderedLevels

## ◆ m_numDeferredTabs

int STOFFSpreadsheetListenerInternal::State::m_numDeferredTabs

the number of tabs to add

## ◆ m_numPagesRemainingInSpan

int STOFFSpreadsheetListenerInternal::State::m_numPagesRemainingInSpan

## ◆ m_paragraph

STOFFParagraph STOFFSpreadsheetListenerInternal::State::m_paragraph

the paragraph

## ◆ m_subDocumentType

libstoff::SubDocumentType STOFFSpreadsheetListenerInternal::State::m_subDocumentType

## ◆ m_textBuffer

librevenge::RVNGString STOFFSpreadsheetListenerInternal::State::m_textBuffer

a buffer to stored the text

The documentation for this struct was generated from the following file:

- STOFFSpreadsheetListener.cxx